Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4153 - Typo in /usr/include/aupvlist.h
Summary: Typo in /usr/include/aupvlist.h
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-22 02:28 UTC by Sam Varshavchik
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-03 20:34:58 UTC


Attachments (Terms of Use)

Description Sam Varshavchik 1999-07-22 02:28:25 UTC
This is really a problem with audiofile-devel-0.1.6-5, but
audiofile-devel is not tracked in Bugzilla.

The #ifdef construct at the end of aupvlist.h is duplicate
twice, resulting in a failure when compiling C++ source.

Please apply the following patch, and release an updated RPM
so that C++ apps can build with audiofile.


--- ../aupvlist.h       Sun Apr 18 17:55:37 1999
+++ ./aupvlist.h        Wed Jul 21 22:29:17 1999
@@ -58,10 +58,6 @@

 #ifdef __cplusplus
 }
-#endif
-
-#ifdef __cplusplus
-}
 #endif /* __cplusplus */

 #endif /* AUPVLIST_H */

Comment 1 Jay Turner 1999-07-22 17:25:59 UTC
There does appear to be a replication here in this file.  This issue
has been forwarded to a developer for further action.

Comment 2 Jim Kingdon 1999-08-02 21:21:59 UTC
Changing this from "egcs" to "gnome" on the theory that audiofile
is part of the latter.

Comment 3 Elliot Lee 1999-08-03 20:34:59 UTC
This problem has been fixed in the CVS version of audiofile since
March. You may want to get the latest version of audiofile for this
and other bug fixes.


Note You need to log in before you can comment on or make changes to this bug.